# frozen_string_literal: true

module LearnLab
  module Test
    module Parsers
      # Null parser. Used when no test suite has been detected.
      #
      class Null
        attr_reader :output

        def framework
          'none'
        end

        def duration
          0
        end

        def example_count
          0
        end

        def passing_count
          0
        end

        def pending_count
          0
        end

        def failure_count
          0
        end
      end
    end
  end
end
